const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmreportTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(TmreportTask));
    this.restclient = system.getObject("util.restClient");
    this.igirlWeburl = settings.igirlWeburl();
  }
  async beforeTask(params) {
    console.log("前置操作......", this.serviceName);
    //this.isThrough=true; 
    //console.log(this.cacheManager);
  }
  async subDoTask() {
    console.log("--------------");
    console.log("TestTask1.....");
    try {
      var url = this.igirlWeburl + "api/tmtransactionApi/tmreport";
      var transferinfo = await this.restclient.execGet(null, url);
      var result = JSON.parse(transferinfo.stdout);
      console.log(result);
      return result;
    } catch (error) {
      console.log(error);
      return null;
    }
  }
}
module.exports = TmreportTask;